Bug 953991 - ipa-client-install removes needed options from ldap.conf
ipa-client-install removes needed options from ldap.conf
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: freeipa (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rob Crittenden
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 949853
  Show dependency treegraph
 
Reported: 2013-04-19 15:42 EDT by Stef Walter
Modified: 2013-05-24 16:41 EDT (History)
6 users (show)

See Also:
Fixed In Version: freeipa-3.2.0-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-24 16:41:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Stef Walter 2013-04-19 15:42:50 EDT
ipa-client-install writes out a custom ldap.conf. We're been using the SASL_NOCANON option in ldap.conf to unbreak broken upstream defaults. See:

https://bugzilla.redhat.com/show_bug.cgi?id=949864

Ideally we can eventually get a sane default upstream. But either ipa-client-install should keep settings in ldap.conf, or include 'SASL_NOCANON on'
Comment 1 Rob Crittenden 2013-04-19 15:50:27 EDT
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/3582
Comment 2 Martin Kosek 2013-04-22 03:28:17 EDT
Also see related upstream ticket:
https://fedorahosted.org/freeipa/ticket/3447

This one complains about removing TLS_CACERTDIR. We should fix it too.
Comment 3 Rob Crittenden 2013-04-30 10:56:31 EDT
Fixed upstream.

master: 5d6a9d3befb5434dd7b2d1bbafd76050f22743a2

We will only add those items not already set, and include an IPA-specific version commented out.
Comment 4 Fedora Update System 2013-05-10 13:29:55 EDT
freeipa-3.2.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/freeipa-3.2.0-1.fc19
Comment 5 Scott Poore 2013-05-10 20:51:37 EDT
Looks good:

[root@f19-3 repo]# ipa-client-install --uninstall -U
Unenrolling client from IPA server
Removing Kerberos service principals from /etc/krb5.keytab
Disabling client Kerberos and LDAP configurations
Restoring client configuration files
nslcd daemon is not installed, skip configuration
Client uninstall complete.

[root@f19-3 repo]# grep SASL_NOCANON /etc/openldap/ldap.conf
SASL_NOCANON	on

[root@f19-3 repo]# grep TLS_CACERTDIR /etc/openldap/ldap.conf
TLS_CACERTDIR	/etc/openldap/certs
Comment 6 Fedora Update System 2013-05-10 22:38:06 EDT
Package freeipa-3.2.0-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing freeipa-3.2.0-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-7911/freeipa-3.2.0-1.fc19
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-05-24 16:41:16 EDT
freeipa-3.2.0-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.